de.esprit.common.gui

## Class ZTitledBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.TitledBorder
    - - de.esprit.common.gui.ZTitledBorder

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.border.Border

      public class ZTitledBorder
      extends javax.swing.border.TitledBorder

  This is a border with a translated title
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.TitledBorder

      `ABOVE_BOTTOM, ABOVE_TOP, BELOW_BOTTOM, BELOW_TOP, border, BOTTOM, CENTER, DEFAULT_JUSTIFICATION, DEFAULT_POSITION, EDGE_SPACING, LEADING, LEFT, RIGHT, TEXT_INSET_H, TEXT_SPACING, title, titleColor, titleFont, titleJustification, titlePosition, TOP, TRAILING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZTitledBorder(NlsKey title)`
    `ZTitledBorder(NlsKey title, java.lang.Object... args)`
    `ZTitledBorder(java.lang.String title)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.TitledBorder

      `getBaseline, getBaselineResizeBehavior, getBorder, getBorderInsets, getFont, getMinimumSize, getTitle, getTitleColor, getTitleFont, getTitleJustification, getTitlePosition, isBorderOpaque, paintBorder, setBorder, setTitle, setTitleColor, setTitleFont, setTitleJustification, setTitlePosition`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZTitledBorder

          public ZTitledBorder(java.lang.String title)

    - #### ZTitledBorder

          public ZTitledBorder(NlsKey title)

    - #### ZTitledBorder

          public ZTitledBorder(NlsKey title,
                       java.lang.Object... args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.